Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/p2/plugins/TXMUpdateHandler.java	(revision 3445)
@@ -55,7 +55,7 @@
 
 public class TXMUpdateHandler extends UpdateHandler {
 	
-	public static final String ID = "org.txm.rcp.p2.plugins.TXMUpdateHandler";
+	public static final String ID = "org.txm.rcp.p2.plugins.TXMUpdateHandler"; //$NON-NLS-1$
 	
 	/**
 	 * Execute the command.
@@ -71,15 +71,15 @@
 //		}
 		
 		String key = event.getParameter("org.txm.rcp.parameters.update"); //$NON-NLS-1$
-		if ("true".equals(key)) {
+		if ("true".equals(key)) { //$NON-NLS-1$
 			String path = BundleUtils.getInstallDirectory();
 			if (path != null) {
 				try {
 					File installDirectory = new File(path);
-					Log.fine("Testing install directory rights: " + installDirectory);
+					Log.fine("Testing install directory rights: " + installDirectory); //$NON-NLS-1$
 					if (!installDirectory.canWrite() || !installDirectory.canExecute()) {
 						Log.warning(NLS.bind(
-								"Warning: you need administrator privileges to fully update TXM (installed in {0}). Some updates might not be fully installed.",
+								TXMUIMessages.WarningYouNeedAdministratorPrivilegesToFullyUpdateTXM,
 								installDirectory));
 						return null;
 					}
@@ -93,7 +93,7 @@
 		// Hacking p2 profile to be able to update installation directory even if
 		// -configuration is set
 		try {
-			Log.info("Looking for TXM updates...");
+			Log.info("Looking for TXM updates..."); //$NON-NLS-1$
 			
 			// flush console ?
 			org.eclipse.ui.console.IOConsole console = (IOConsole) (ConsolePlugin.getDefault().getConsoleManager().getConsoles())[0];
@@ -125,8 +125,8 @@
 							IInstallableUnit iu = everything.next();
 							String locked = profile.getInstallableUnitProperty(iu, IProfile.PROP_PROFILE_LOCKED_IU);
 							
-							if (locked != null && !("0".equals(locked))) {
-								profile.setInstallableUnitProperty(iu, IProfile.PROP_PROFILE_LOCKED_IU, "0");
+							if (locked != null && !("0".equals(locked))) { //$NON-NLS-1$
+								profile.setInstallableUnitProperty(iu, IProfile.PROP_PROFILE_LOCKED_IU, "0"); //$NON-NLS-1$
 								changed = true;
 							}
 						}
@@ -151,19 +151,19 @@
 			// from bundle org.eclipse.equinox.p2.console
 			
 			Object ret = super.execute(event);
-			Log.info("Done.");
+			Log.info(TXMUIMessages.Done);
 			
 			return ret;
 		}
 		catch (Exception e) {
-			Log.severe("Could not update TXM: " + e + ".");
+			Log.severe(TXMUIMessages.CouldNotUpdateTXMP0 + e + "."); //$NON-NLS-2$
 			Log.printStackTrace(e);
 		}
 		return null;
 	}
 	
 	public static boolean isUpdateSiteAvailable() {
-		String baseURLString = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE) + "index.html";
+		String baseURLString = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE) + "index.html"; //$NON-NLS-1$
 		try {
 			URL baseURL = new URL(baseURLString);
 			InputStream s = baseURL.openStream();
@@ -171,14 +171,14 @@
 			return true;
 		}
 		catch (Exception e) {
-			Log.warning(NLS.bind("Update site is not reachable ({0}): {1}. Aborting.", e.getMessage(), baseURLString));
+			Log.warning(NLS.bind(TXMUIMessages.UpdateSiteIsNotReachableP0P1Aborting, e.getMessage(), baseURLString));
 			return false;
 		}
 	}
 
 	public static boolean isWindowsAdministratorUser() {
 		String path = BundleUtils.getInstallDirectory();// System.getProperty("osgi.instance.area");
-		if (!path.startsWith("C:/Program Files/TXM")) {
+		if (!path.startsWith("C:/Program Files/TXM")) { //$NON-NLS-1$
 			return true; // TXM was not installed in program files no need to test admin user
 		}
 		
@@ -196,8 +196,8 @@
 			}));
 			
 			try {
-				preferences.put("TxmAdminAccessTestProperty", "TxmAdminAccessTestValue"); // SecurityException on Windows
-				preferences.remove("TxmAdminAccessTestProperty");
+				preferences.put("TxmAdminAccessTestProperty", "TxmAdminAccessTestValue"); // SecurityException on Windows //$NON-NLS-1$ //$NON-NLS-2$
+				preferences.remove("TxmAdminAccessTestProperty"); //$NON-NLS-1$
 				preferences.flush(); // BackingStoreException on Linux
 				return true;
 			}
@@ -222,7 +222,7 @@
 			return Display.getCurrent().getActiveShell();
 		}
 		catch (Exception e) {
-			Log.finer("Error: no active SWT shell available");
+			Log.finer("Error: no active SWT shell available"); //$NON-NLS-1$
 		}
 		return new Shell();
 	}
@@ -242,21 +242,21 @@
 		
 		File txmConfigDir = new File(location.getFile());
 		// File txmConfigDir = new File("/home/mdecorde/.txm"); // test only
-		File profileDir = new File(txmConfigDir, "p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile");
+		File profileDir = new File(txmConfigDir, "p2/org.eclipse.equinox.p2.engine/profileRegistry/profile.profile"); //$NON-NLS-1$
 		
-		Log.fine("Looking for profile in : " + txmConfigDir);
+		Log.fine("Looking for profile in : " + txmConfigDir); //$NON-NLS-1$
 		// System.out.println(txmConfigDir);
 		// System.out.println(profileDir);
 		
 		if (!profileDir.exists()) {
-			Log.warning("p2 profile directory does not exists: " + profileDir);
+			Log.warning("p2 profile directory does not exists: " + profileDir); //$NON-NLS-1$
 			return false;
 		}
 		
 		// 1- find profile.gz
 		File gzFile = findNewestGZFile(profileDir);
 		if (gzFile == null) {
-			Log.severe("No profile GZ file found");
+			Log.severe("No profile GZ file found"); //$NON-NLS-1$
 			return false;
 		}
 		else {
@@ -267,7 +267,7 @@
 				patchProfile(profileXMLFile);
 				// 4- delete old gz profile
 				if (!gzFile.delete()) {
-					Log.warning("Could not delete old profile GZfile: " + gzFile);
+					Log.warning("Could not delete old profile GZfile: " + gzFile); //$NON-NLS-1$
 					return false;
 				}
 				
@@ -278,14 +278,14 @@
 				GZip.compress(profileXMLFile, gzFile);
 				// 6- clean files
 				if (!profileXMLFile.delete()) {
-					Log.warning("Could not delete temporary profile XML file: " + profileXMLFile);
+					Log.warning("Could not delete temporary profile XML file: " + profileXMLFile); //$NON-NLS-1$
 					return false;
 				}
-				Log.fine("Profile archive patched: " + gzFile);
+				Log.fine("Profile archive patched: " + gzFile); //$NON-NLS-1$
 				return true;
 			}
 			catch (IOException e) {
-				Log.warning("Failed to fix profile file: " + e);
+				Log.warning("Failed to fix profile file: " + e); //$NON-NLS-1$
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -294,17 +294,17 @@
 	
 	public static void addDefaultUpdateSites(IProvisioningAgent agent) {
 		Version v = Activator.getDefault().getBundle().getVersion();
-		String version = "" + v.getMajor() + "." + v.getMinor() + "." + v.getMicro();
-		String uriBase = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE) + "/" + version + "/main";
-		String uriDefault = uriBase + "/stable";
+		String version = "" + v.getMajor() + "." + v.getMinor() + "." + v.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		String uriBase = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE) + "/" + version + "/main"; //$NON-NLS-1$ //$NON-NLS-2$
+		String uriDefault = uriBase + "/stable"; //$NON-NLS-1$
 		try {
 			URI repoUriDefault = new URI(uriDefault);
-			addURL(agent, repoUriDefault, "stable");
+			addURL(agent, repoUriDefault, "stable"); //$NON-NLS-1$
 			// URI repoKepler = new URI("http://download.eclipse.org/releases/kepler");
 			// addURL(agent, repoKepler);
 		}
 		catch (Exception e) {
-			Log.warning("Could not add update default repository: " + uriDefault);
+			Log.warning(TXMUIMessages.CouldNotAddTheDefaultUpdateRepository + uriDefault);
 			Log.printStackTrace(e);
 		}
 		
@@ -321,20 +321,20 @@
 		else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 			betaMode = true;
 		}
-		Log.fine("Update levels: dev=" + devMode + " alpha=" + alphaMode + " beta=" + betaMode);
+		Log.fine("Update levels: dev=" + devMode + " alpha=" + alphaMode + " beta=" + betaMode); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		String uriDev = uriBase + "/dev";//$NON-NLS-1$
 		try {
 			URI repoUriDev = new URI(uriDev);
 			if (devMode) {
-				addURL(agent, repoUriDev, "dev");
+				addURL(agent, repoUriDev, "dev"); //$NON-NLS-1$
 			}
 			else {
 				removeURL(agent, repoUriDev);
 			}
 		}
 		catch (Exception e) {
-			Log.warning("Could not add update DEV repository: " + uriDev);
+			Log.warning(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1 + uriDev);
 			e.printStackTrace();
 		}
 		
@@ -342,14 +342,14 @@
 		try {
 			URI repoUriAlpha = new URI(uriAlpha);
 			if (alphaMode) {
-				addURL(agent, repoUriAlpha, "alpha");
+				addURL(agent, repoUriAlpha, "alpha"); //$NON-NLS-1$
 			}
 			else {
 				removeURL(agent, repoUriAlpha);
 			}
 		}
 		catch (Exception e) {
-			Log.warning("Could not add update ALPHA repository: " + uriAlpha);
+			Log.warning(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1 + uriAlpha);
 			e.printStackTrace();
 		}
 		
@@ -357,31 +357,31 @@
 		try {
 			URI repoUriBeta = new URI(uriBeta);
 			if (betaMode) {
-				addURL(agent, repoUriBeta, "beta");
+				addURL(agent, repoUriBeta, "beta"); //$NON-NLS-1$
 			}
 			else {
 				removeURL(agent, repoUriBeta);
 			}
 		}
 		catch (Exception e) {
-			Log.warning("Can not add update BETA repository: " + uriBeta);
+			Log.warning(TXMUIMessages.CouldNotAddTheP0UpdateRepositoryP1 + uriBeta);
 		}
 	}
 	
 	public static void addDefaultPluginSites(IProvisioningAgent agent) {
 		Version v = Activator.getDefault().getBundle().getVersion();
-		String version = "" + v.getMajor() + "." + v.getMinor() + "." + v.getMicro();
-		String uriBase = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE) + "/" + version + "/ext";
+		String version = "" + v.getMajor() + "." + v.getMinor() + "." + v.getMicro(); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		String uriBase = TBXPreferences.getInstance().getString(TBXPreferences.UPDATESITE) + "/" + version + "/ext"; //$NON-NLS-1$ //$NON-NLS-2$
 		
-		String uriDefault = uriBase + "/stable";
+		String uriDefault = uriBase + "/stable"; //$NON-NLS-1$
 		try {
 			URI repoUriDefault = new URI(uriDefault);
-			addURL(agent, repoUriDefault, "stable");
+			addURL(agent, repoUriDefault, "stable"); //$NON-NLS-1$
 			// URI repoKepler = new URI("http://download.eclipse.org/releases/kepler");
 			// addURL(agent, repoKepler);
 		}
 		catch (Exception e) {
-			Log.warning("Could not add update default repository: " + uriDefault);
+			Log.warning(TXMUIMessages.CouldNotAddTheDefaultExtensionRepository + uriDefault);
 			Log.printStackTrace(e);
 		}
 		
@@ -398,20 +398,20 @@
 		else if ("BETA".equals(updateLevel)) {//$NON-NLS-1$
 			betaMode = true;
 		}
-		Log.fine("Update levels: dev=" + devMode + " alpha=" + alphaMode + " beta=" + betaMode);
+		Log.fine("Update levels: dev=" + devMode + " alpha=" + alphaMode + " beta=" + betaMode); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		
 		String uriDev = uriBase + "/dev";//$NON-NLS-1$
 		try {
 			URI repoUriDev = new URI(uriDev);
 			if (devMode) {
-				addURL(agent, repoUriDev, "dev");
+				addURL(agent, repoUriDev, "dev"); //$NON-NLS-1$
 			}
 			else {
 				removeURL(agent, repoUriDev);
 			}
 		}
 		catch (Exception e) {
-			Log.warning("Could not add update DEV repository: " + uriDev);
+			Log.warning(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1 + uriDev);
 			e.printStackTrace();
 		}
 		
@@ -419,14 +419,14 @@
 		try {
 			URI repoUriAlpha = new URI(uriAlpha);
 			if (alphaMode) {
-				addURL(agent, repoUriAlpha, "alpha");
+				addURL(agent, repoUriAlpha, "alpha"); //$NON-NLS-1$
 			}
 			else {
 				removeURL(agent, repoUriAlpha);
 			}
 		}
 		catch (Exception e) {
-			Log.warning("Could not add update ALPHA repository: " + uriAlpha);
+			Log.warning(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1 + uriAlpha);
 			e.printStackTrace();
 		}
 		
@@ -434,14 +434,14 @@
 		try {
 			URI repoUriBeta = new URI(uriBeta);
 			if (betaMode) {
-				addURL(agent, repoUriBeta, "beta");
+				addURL(agent, repoUriBeta, "beta"); //$NON-NLS-1$
 			}
 			else {
 				removeURL(agent, repoUriBeta);
 			}
 		}
 		catch (Exception e) {
-			Log.warning("Can not add update BETA repository: " + uriBeta);
+			Log.warning(TXMUIMessages.CouldNotAddTheP0ExtensionsUpdateRepositoryP1 + uriBeta);
 		}
 		
 	}
@@ -453,29 +453,29 @@
 				.getService(IArtifactRepositoryManager.SERVICE_NAME);
 		
 		if (manager == null) {
-			System.out.println("No metadata repository manager found");
+			System.out.println("No metadata repository manager found"); //$NON-NLS-1$
 			return false;
 		}
 		if (manager2 == null) {
-			System.out.println("No artifact repository manager found");
+			System.out.println("No artifact repository manager found"); //$NON-NLS-1$
 			return false;
 		}
 		
-		Log.fine("Adding update site URL: " + location + "...");
+		Log.fine("Adding update site URL: " + location + "..."); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		try {
 			// manager.removeRepository(location)
 			manager.loadRepository(location, null);
 		}
 		catch (Exception e) {
-			Log.warning("No repo - create a newmetadata repo");
+			Log.warning("No repo - create a newmetadata repo"); //$NON-NLS-1$
 			// for convenience create and add a repository here
-			String repositoryName = location + " - metadata";
+			String repositoryName = location + " - metadata"; //$NON-NLS-1$
 			try {
 				manager.createRepository(location, repositoryName, IMetadataRepositoryManager.TYPE_SIMPLE_REPOSITORY, null);
 			}
 			catch (ProvisionException e2) {
-				Log.severe("Error while adding metadata repo: " + location);
+				Log.severe("Error while adding metadata repo: " + location); //$NON-NLS-1$
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -488,14 +488,14 @@
 		}
 		catch (Exception e) {
 			// could not load a repo at that location so create one as a convenience
-			String repositoryName = location + " - artifacts";
+			String repositoryName = location + " - artifacts"; //$NON-NLS-1$
 			try {
-				Log.severe(NLS.bind("No {0} level update available.", level)); // Aucune mise à jour de niveau {0} n'est disponible.
+				Log.severe(NLS.bind("No {0} level update available.", level)); // Aucune mise à jour de niveau {0} n'est disponible. //$NON-NLS-1$
 				manager.createRepository(location, repositoryName, IArtifactRepositoryManager.TYPE_SIMPLE_REPOSITORY, null);
 				return true;
 			}
 			catch (Exception e2) {
-				Log.severe("Error while adding artifact repo: " + location);
+				Log.severe("Error while adding artifact repo: " + location); //$NON-NLS-1$
 				Log.printStackTrace(e);
 				return false;
 			}
@@ -509,11 +509,11 @@
 				.getService(IArtifactRepositoryManager.SERVICE_NAME);
 		
 		if (manager == null) {
-			Log.severe("No metadata repository manager found");
+			Log.severe("No metadata repository manager found"); //$NON-NLS-1$
 			return false;
 		}
 		if (manager2 == null) {
-			Log.severe("No artifact repository manager found");
+			Log.severe("No artifact repository manager found"); //$NON-NLS-1$
 			return false;
 		}
 		
@@ -525,21 +525,21 @@
 	
 	private static void patchProfile(File profileXMLFile) throws IOException {
 		
-		File tmpFile = File.createTempFile("tmp", ".profile", profileXMLFile.getParentFile());
+		File tmpFile = File.createTempFile("tmp", ".profile", profileXMLFile.getParentFile()); //$NON-NLS-1$ //$NON-NLS-2$
 		
-		BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(profileXMLFile), "UTF-8"));
-		BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(tmpFile), "UTF-8"));
+		BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(profileXMLFile), "UTF-8")); //$NON-NLS-1$
+		BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(tmpFile), "UTF-8")); //$NON-NLS-1$
 		
 		String line = br.readLine();
 		boolean firstLine = true;
 		while (line != null) {
 			if (!firstLine) {
-				writer.write("\n");
+				writer.write("\n"); //$NON-NLS-1$
 			}
 			
 			String trimedLine = line.trim();
-			if (trimedLine.startsWith("<property name='org.eclipse.equinox.p2.type.lock' value='")) {
-				writer.write("<property name='org.eclipse.equinox.p2.type.lock' value='0'/>");
+			if (trimedLine.startsWith("<property name='org.eclipse.equinox.p2.type.lock' value='")) { //$NON-NLS-1$
+				writer.write("<property name='org.eclipse.equinox.p2.type.lock' value='0'/>"); //$NON-NLS-1$
 			}
 			else {
 				writer.write(line);
@@ -551,7 +551,7 @@
 		br.close();
 		
 		if (!(profileXMLFile.delete() && tmpFile.renameTo(profileXMLFile))) {
-			throw new IOException("failed to rewrite profile file: " + profileXMLFile);
+			throw new IOException("failed to rewrite profile file: " + profileXMLFile); //$NON-NLS-1$
 		}
 	}
 	
@@ -560,7 +560,7 @@
 			
 			@Override
 			public boolean accept(File dir, String name) {
-				return name.toLowerCase().endsWith(".gz");
+				return name.toLowerCase().endsWith(".gz"); //$NON-NLS-1$
 			}
 		});
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/UserPreferencePage.java	(revision 3445)
@@ -59,7 +59,7 @@
 				.getFieldEditorParent()));
 		
 		// Auto compute the result when a parameter changes
-		this.addField(new BooleanFieldEditor(RCPPreferences.AUTO_UPDATE_SUBRESULTS, "Automatically update sub-results", BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
+		this.addField(new BooleanFieldEditor(RCPPreferences.AUTO_UPDATE_SUBRESULTS, TXMUIMessages.AutomaticallyUpdateSubResults, BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 		
 		// this.addField(new BooleanFieldEditor(RCPPreferences.AUTO_COMPUTE_ON_EDITOR_OPEN, "Compute when opening its window", BooleanFieldEditor.SEPARATE_LABEL, this.getFieldEditorParent()));
 		
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 3445)
@@ -20,7 +20,7 @@
 	public void createFieldEditors() {
 		// Show all result nodes in Corpora view
 		addField(new BooleanFieldEditor(TBXPreferences.SHOW_ALL_RESULT_NODES, TXMUIMessages.showAllResultNodesInCorporaView, getFieldEditorParent()));
-		addField(new StringFieldEditor(TBXPreferences.UPDATESITE, "Update site address", getFieldEditorParent()));
+		addField(new StringFieldEditor(TBXPreferences.UPDATESITE, TXMUIMessages.UpdateSiteAddress, getFieldEditorParent()));
 	}
 	
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DirectoryAndOpenFieldEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DirectoryAndOpenFieldEditor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DirectoryAndOpenFieldEditor.java	(revision 3445)
@@ -20,6 +20,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.DirectoryDialog;
 import org.txm.rcp.TxmPreferences;
+import org.txm.rcp.messages.TXMUIMessages;
 
 public class DirectoryAndOpenFieldEditor extends DirectoryFieldEditor {
     /**
@@ -87,7 +88,7 @@
     protected Button getOpenButton(Composite parent) {
         if (openButton == null) {
             openButton = new Button(parent, SWT.PUSH);
-            openButton.setText("Open");
+            openButton.setText(TXMUIMessages.Open);
             openButton.setFont(parent.getFont());
             openButton.addSelectionListener(new SelectionAdapter() {
                 @Override
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 3445)
@@ -98,7 +98,7 @@
 		addField(new BooleanFieldEditor(TBXPreferences.ADD_TECH_LOGS, TXMUIMessages.logInTheConsole, updateGroup));
 		
 		// Show dialog on severe error
-		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, "Show a dialog box when a severe error occurs", updateGroup));
+		addField(new BooleanFieldEditor(RCPPreferences.SHOW_SEVERE_DIALOG, TXMUIMessages.ShowADialogBoxWhenASevereErrorOccurs, updateGroup));
 		
 		// Log in file
 		addField(new BooleanFieldEditor(TBXPreferences.LOG_IN_FILE, TXMUIMessages.logInAFile, updateGroup));
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ImportPreferencePage.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ImportPreferencePage.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ImportPreferencePage.java	(revision 3445)
@@ -79,7 +79,7 @@
 	@Override
 	protected void createFieldEditors() {
 		
-		update_editions = new BooleanFieldEditor(TBXPreferences.UPDATEEDITIONS, "Update editions when updating a corpus", getFieldEditorParent());
+		update_editions = new BooleanFieldEditor(TBXPreferences.UPDATEEDITIONS, TXMUIMessages.UpdateEditionsWhenUpdatingACorpus, getFieldEditorParent());
 		addField(update_editions);
 		
 		Set<String> encodings = java.nio.charset.Charset.availableCharsets().keySet();
@@ -140,7 +140,7 @@
 		defaultlang = new StringFieldEditor(TBXPreferences.CLIPBOARD_IMPORT_DEFAULT_LANG, TXMUIMessages.defaultLanguage, langGroup);
 		defaultlang.setEmptyStringAllowed(false);
 		
-		askdefaultlang = new BooleanFieldEditor(TBXPreferences.CLIPBOARD_IMPORT_ASK_LANG, "Ask lang when importing from clipboard", langGroup);
+		askdefaultlang = new BooleanFieldEditor(TBXPreferences.CLIPBOARD_IMPORT_ASK_LANG, TXMUIMessages.AskTheLanguageWhenImportingFromAClipboard, langGroup);
 		
 		Label l = new Label(langGroup, SWT.NONE);
 		l.setText(TXMUIMessages.noteColonUseValueToGuess);
@@ -149,7 +149,7 @@
 		l.setLayoutData(ldata);
 		addField(defaultlang);
 		
-		empty_code = new StringFieldEditor(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE, "Empty property value code", getFieldEditorParent());
+		empty_code = new StringFieldEditor(TBXPreferences.EMPTY_PROPERTY_VALUE_CODE, TXMUIMessages.EmptyPropertyValuecode, getFieldEditorParent());
 		addField(empty_code);
 		
 	}
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 3445)
@@ -42,7 +42,7 @@
 	public static final String AUTO_UPDATE_SUBRESULTS = "auto_update_subresults"; //$NON-NLS-1$
 	// public static final String AUTO_COMPUTE_ON_EDITOR_OPEN = "auto_compute_editor"; //$NON-NLS-1$
 	
-	public static final String SHOW_SEVERE_DIALOG = "show_severe_dialog";
+	public static final String SHOW_SEVERE_DIALOG = "show_severe_dialog"; //$NON-NLS-1$
 	
 	public static final String UPDATE_LEVEL = "update_level"; //$NON-NLS-1$
 	
@@ -77,7 +77,7 @@
 	public void initializeDefaultPreferences() {
 		
 		// FIXME: to store/merge and share all the prefs in the Core node
-		this.commandPreferencesNodeQualifier = "org.txm.core";
+		this.commandPreferencesNodeQualifier = "org.txm.core"; //$NON-NLS-1$
 		
 		// super.initializeDefaultPreferences();
 		Preferences preferences = this.getDefaultPreferencesNode();
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenBrowser.java	(revision 3445)
@@ -142,7 +142,7 @@
 	 * @return the txm browser
 	 */
 	static public TXMBrowserEditor open() {
-		return openfile("", null);
+		return openfile("", null); //$NON-NLS-1$
 	}
 	
 	/**
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiestoTable.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiestoTable.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiestoTable.java	(revision 3445)
@@ -11,6 +11,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.rcp.handlers.scripts.ExecuteGroovyMacro;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 
@@ -23,22 +24,22 @@
 		
 		Object first = selection.getFirstElement();
 		if (!(first instanceof MainCorpus)) {
-			Log.warning("Selection must be a corpus. Aborting");
+			Log.warning(TXMUIMessages.SelectionMustBeACorpusAborting);
 			return null;
 		}
 		
 		MainCorpus corpus = (MainCorpus)first;
 
-		File script = new File(Toolbox.getTxmHomePath(), "/scripts/groovy/user/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy");
+		File script = new File(Toolbox.getTxmHomePath(), "/scripts/groovy/user/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.groovy"); //$NON-NLS-1$
 		//File parametersFile = new File(Toolbox.getTxmHomePath(), "/scripts/groovy/user/org/txm/macro/annotation/ExportWordPropertiesToTableMacro.properties");
 		
 		HashMap<String, Object> parameters = new HashMap<String, Object>();
 		
 		HashMap<String, Object> defaultParameters = new HashMap<String, Object>();
-		defaultParameters.put("properties", "frpos,frlemma");
-		defaultParameters.put("tsvFile", corpus.getName()+"_annotations.tsv");
+		defaultParameters.put("properties", "frpos,frlemma"); //$NON-NLS-1$ //$NON-NLS-2$
+		defaultParameters.put("tsvFile", corpus.getName()+"_annotations.tsv"); //$NON-NLS-1$ //$NON-NLS-2$
 		
-		ExecuteGroovyMacro.execute(script.getAbsolutePath(), part, selection, "", parameters, defaultParameters);
+		ExecuteGroovyMacro.execute(script.getAbsolutePath(), part, selection, "", parameters, defaultParameters); //$NON-NLS-1$
 		return null;
 	}
 }
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/WordPropertiesFromTable.java	(revision 3445)
@@ -11,6 +11,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.Toolbox;
 import org.txm.rcp.handlers.scripts.ExecuteGroovyMacro;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.utils.logger.Log;
 
@@ -23,20 +24,20 @@
 		
 		Object first = selection.getFirstElement();
 		if (!(first instanceof MainCorpus)) {
-			Log.warning("Selection must be a corpus. Aborting");
+			Log.warning(TXMUIMessages.SelectionP0MustBeAcorpusAborting0);
 			return null;
 		}
 		
 		MainCorpus corpus = (MainCorpus)first;
 		
-		File script = new File(Toolbox.getTxmHomePath(),         "/scripts/groovy/user/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy");
+		File script = new File(Toolbox.getTxmHomePath(),         "/scripts/groovy/user/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.groovy"); //$NON-NLS-1$
 		//File parametersFile = new File(Toolbox.getTxmHomePath(), "/scripts/groovy/user/org/txm/macro/annotation/ImportWordPropertiesFromTableMacro.properties");
 
 		HashMap<String, Object> defaultParameters = new HashMap<String, Object>();
-		defaultParameters.put("properties", "frpos,frlemma");
-		defaultParameters.put("tsvFile", corpus.getName()+"_annotations.tsv");
+		defaultParameters.put("properties", "frpos,frlemma"); //$NON-NLS-1$ //$NON-NLS-2$
+		defaultParameters.put("tsvFile", corpus.getName()+"_annotations.tsv"); //$NON-NLS-1$ //$NON-NLS-2$
 		
-		ExecuteGroovyMacro.execute(script.getAbsolutePath(), part, selection, "", null, defaultParameters);
+		ExecuteGroovyMacro.execute(script.getAbsolutePath(), part, selection, "", null, defaultParameters); //$NON-NLS-1$
 		return null;
 	}
 	
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/function/RenameResult.java	(revision 3445)
@@ -9,6 +9,7 @@
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.TXMResult;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.TextDialog;
 import org.txm.rcp.views.corpora.CorporaView;
 import org.txm.utils.logger.Log;
@@ -26,7 +27,7 @@
 			final TXMResult r = (TXMResult)first;
 			
 			final IWorkbenchWindow window = HandlerUtil.getActiveWorkbenchWindow(event);
-			TextDialog dialog = new TextDialog(window.getShell(), "Rename " + r, "Enter the new name to show in the Corpus view", r.getCurrentName());
+			TextDialog dialog = new TextDialog(window.getShell(), TXMUIMessages.RenameP0 + r, TXMUIMessages.EnterTheNewNameToShowInTheCorpusView, r.getCurrentName());
 			if (dialog.open() == TextDialog.OK) {
 				String newName = dialog.getText();
 				//if (newName.length() > 0) {
Index: TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenTestEditor.java
===================================================================
--- TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenTestEditor.java	(revision 3444)
+++ TXM/trunk/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenTestEditor.java	(revision 3445)
@@ -69,13 +69,13 @@
 
 		IWorkbenchPage page = window.getActivePage();
 		try {
-			StatusLine.setMessage("Open...");
+			StatusLine.setMessage(TXMUIMessages.OpenTestEditor_0);
 			TestEditor testEditor = (TestEditor) page
 					.openEditor(editorInput,
 							"org.txm.rcp.editors.TestEditor"); //$NON-NLS-1$
 			//conceditor.setFocus(""); //$NON-NLS-1$
 		} catch (PartInitException e) {
-			System.err.println("Error: "+e.getLocalizedMessage());
+			System.err.println("Error: "+e.getLocalizedMessage()); //$NON-NLS-1$
 		}
 
 		return null;
